Contacts
Find contacts
Finds any matching contacts in the organisation.
GET
/
v1
/
contacts
Find contacts
curl --request GET \
--url https://api.infinity.swiss/v1/contacts \
--header 'x-api-token: <api-key>'import requests
url = "https://api.infinity.swiss/v1/contacts"
headers = {"x-api-token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-token': '<api-key>'}};
fetch('https://api.infinity.swiss/v1/contacts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"contacts": [
{
"id": "68234731e6074232892d18c4",
"companyName": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"streetName": "<string>",
"buildingNumber": "<string>",
"townName": "<string>",
"postCode": "3700",
"position": "<string>",
"email": "jsmith@example.com",
"mobile": "<string>",
"phone": "<string>",
"website": "<string>",
"formOfAddress": "<string>",
"note": "<string>",
"vatNumber": "<string>",
"country": "<string>",
"secondaryAddressLine": "<string>",
"customerIdentification": "<string>"
}
]
}{
"code": "<string>",
"invalidFields": [
"limit"
]
}{
"code": "general/unauthorised"
}Authorizations
API token for authentication. Obtain from your Infinity account settings.
Query Parameters
Pagination limit for the results. Defaults to 30 if not specified. Maximum allowed value is 200.
Required range:
x <= 200Pagination offset for the results
Optionally filters contacts by category
Available options:
clients, suppliers, partners, team, leads Response
Successfully returns a list of contacts.
Show child attributes
Show child attributes
⌘I
Find contacts
